<?php
/*
Plugin Name: RBXGallery
Plugin URI: http://www.rudrainnovatives.com
Description: Attaches multiple images to a post/page or custom type post to each post.
Version: 1.0
Author: Rudra Innovatives Team
Author URI: http://www.rudrainnovatives.com
License: open
*/

function RBXGallery_meta_box()
{
    $post_types = get_post_types(array(
        "public" => true
    ));
    foreach ($post_types as $post_type) {
        add_meta_box('bximg', __('RBXGallery', 'myplugin_textdomain'), 'RBXGallery_box', $post_type);
    }
}
add_action('add_meta_boxes', 'RBXGallery_meta_box');


if ((isset($_GET['parent_page']))) {
    add_filter('media_upload_tabs', 'gallery_tab', 12);
}
function gallery_tab($tabs)
{
    unset($tabs['gallery']);
    $tabs['gallery'] = __('Gallery', 'wpsc');
    
    return $tabs;
}

function RBXGallery_box()
{
    global $post;
    
    edit_multiple_image_gallery_img($post);
    
    
    $myPostType = get_post_type();
    
    
?>

<p><strong <?php
    if (isset($display))
        echo $display;
?>><a href="media-upload.php?parent_page=<?php
    echo $myPostType;
?>&post_id=<?php
    echo $post->ID;
?>&type=image&tab=gallery&TB_iframe=1&width=640&height=566" class="thickbox" title="Manage Your gallery Images"><?php
    _e('Manage Images');
?></a></strong></p>

<?php
    
    
}

function edit_multiple_image_gallery_img($post)
{
    global $wpdb;
    //Make sure thumbnail isn't duplicated
    $siteurl = get_option('siteurl');
    
    if ($post->ID > 0) {
        if (has_post_thumbnail($post->ID))
            echo get_the_post_thumbnail($post->ID, 'my-thumbnails');
        
        $args = array(
            'post_type' => 'attachment',
            'numberposts' => -1,
            'post_status' => null,
            'post_parent' => $post->ID,
            'orderby' => 'menu_order',
            'order' => 'ASC'
        );
        
        $attached_images = (array) get_posts($args);
        
        if (count($attached_images) > 0) {
            foreach ($attached_images as $images) {
                $attached_image = wp_get_attachment_image($images->ID, 'my-thumbnails');
                echo $attached_image . '&nbsp;';
            }
        }
        
    }
}
add_image_size('my-thumbnails', 60, 60);


function my_scripts_method()
{
    // register your script location, dependencies and version
    $plugin_dir_path = plugins_url();
    wp_register_script('custom_script_0', plugins_url('/js/jquery-latest.js', __FILE__), array(
        'jquery'
    ), '1.0');
    wp_register_script('custom_script_1', plugins_url('/js/jquery.rbxGallery.1.1.min.js', __FILE__), array(
        'jquery'
    ), '1.0');
    wp_register_script('custom_script_2', plugins_url('/js/custom.js', __FILE__), array(
        'jquery'
    ), '1.0');
    // enqueue the script
    wp_enqueue_script('custom_script_0');
    wp_enqueue_script('custom_script_1');
    wp_enqueue_script('custom_script_2');
}
add_action('wp_enqueue_scripts', 'my_scripts_method');


function add_my_stylosheet()
{
    wp_register_style('myStyleSheets', plugins_url('/css/RBXGallery.css', __FILE__));
    wp_enqueue_style('myStyleSheets');
    
}
add_action('wp_print_styles', 'add_my_stylosheet');



function RBXGallery($atts)
{
    extract(shortcode_atts(array(
        'width' => 575,
        'thumbstyle' => 'bottom',
        'thumbsize' => 135
    ), $atts));
    
    
    $content = Bx_gal($width, $thumbstyle, $thumbsize);
    return "$content";
}
add_shortcode('RBXGallery', 'RBXGallery');

function Bx_gal($width, $thumbstyle, $thumbsize)
{
    global $post;
    
    $args        = array(
        'post_type' => 'attachment',
        'post_mime_type' => 'image',
        'numberposts' => null,
        'post_status' => null,
        'orderby' => 'menu_order',
        'order' => 'ASC',
        'post_parent' => $post->ID
    );
    $attachments = get_posts($args);
    if ($attachments) {
        $content = '<div class="clear"></div>';
        $content .= '<input type="hidden"  id="gal_size" name="gal_size" value="' . $width . '" />';
        $content .= '<input type="hidden"  id="thumbstyle" name="thumbstyle" value="' . $thumbstyle . '" />';
        $content .= '<input type="hidden"  id="thumbsize" name="thumbsize" value="' . $thumbsize . '" />';
        $content .= '<ul id="slides1">';
        /*    $content .= '<div class="pinned"></div>';*/
        foreach ($attachments as $attachment) {
            $full_img_url = wp_get_attachment_url($attachment->ID);
            $content .= '<li>';
            $content .= '<div class="midLeft leftrtight"><div class="midRight leftrtight"><div class="midTop topbottom"><div class="midBottom topbottom"><div class="topLeft"><div class="topRight"><div class="bottomLeft"><div class="bottomRight"><img src="' . $full_img_url . '" title="' . apply_filters('the_title', $attachment->post_title) . '" /></div></div></div></div></div></div></div></div>';
            $content .= '</li>';
        }
        $content .= '</ul>';
        
    }
    return $content;
    
}
add_image_size('thumbss', 135, 135, true);
